let facade = require('./Facade')

let env = !!process.env.sys ? JSON.parse(process.env.sys) : {
    serverType: facade.CoreOfLogic.mapping[0],      //待调测的服务器类型
    serverId: 1,            //待调测的服务器编号
    portal: true            //兼任门户（充当索引服务器），注意索引服务器只能有一台，因此该配置信息具有排他性
};  

if(env.constructor == String){
    env = JSON.parse(env);
}

//系统主引导流程，除了必须传递运行环境变量 env，也可以搭载任意变量，这些变量都将合并为核心类的options对象的属性，供运行时访问
if(env.portal) { //如果该服务器兼任门户，则启动索引服务
    facade.boot({
        env:{
            serverType: "Index",
            serverId: 1
        }
    });
}

facade.boot({
    env: env,
    static: [['/client/', './web/client']]  //设置静态资源映射
});
