// PVP战斗为1V1异步互动、全自动战斗，在一个九宫格布局的战场中展开，以下为战场布局简图：
// 6 3 0  |分|  0 3 6      //高空层
// 7 4 1  |界|  1 4 7      //中空层
// 8 5 2  |线|  2 5 8      //地面层
//
//参与单挑的每名玩家初始只上场1名英雄（固定为悟空），随后英雄发动各类技能展开对战，包括召唤技能（召唤新英雄上场），可能形成最多9V9的混战模式。
//所有上场的英雄，都将占据独立的位置，不支持堆叠。
//在一方英雄全灭的情况下，另一方将取得胜利。
//
//玩家在游戏中，不断的搜集卡牌以形成自己的卡库。卡库中的卡牌分为英雄牌和法术牌
//PVP战斗前，需要从卡库中挑选出最多不超过15张卡牌，形成战斗卡组，从而形成不同风格的战前策略。
//战斗开始时，玩家将自动召唤悟空作为首发英雄，同时战斗卡组中的其余卡牌，都将成为悟空的战斗技能，在战斗中的合适时机下自动发动。
//
//所谓英雄牌就是发动后可以召唤新英雄上阵的卡牌，所谓法术牌就是可以由悟空发动、以自己或其他英雄为目标发动指定法术的卡牌。
//1、英雄卡牌：这些卡牌将融合到悟空的技能列表中，成为召唤技，发动后将召唤新的英雄上场，这些英雄拥有独立的攻防气，也拥有独特的技能列表。
//2、法术卡牌：这些卡牌上携带的技能，将自动融合到悟空的技能列表中，由悟空直接施放。
//
//不管是悟空的技能，还是召唤英雄的技能，发动时，对自身或其他英雄造成的影响分为如下三种：
//1、对英雄的生命、士气等储值型属性，造成直接的影响。所谓储值型属性，就是说这种属性一般有初始值，有上限值，战斗中可以增加，也可以减少，其数值立即起效。
//2、对英雄造成某种持续性Buff，例如中毒、晕眩等。
//3、对英雄造成某种属性加持，例如攻击提升、生命上限提升等，例如某种类型的光环。
//
//英雄除了基本的攻/血之外，还有士气属性，士气影响部分攻防属性。
//玩家本身拥有独立于英雄的Combo数，英雄成功发动攻击后就会提高己方玩家的Combo数，达到阈值时，下一个行动的己方英雄将普通攻击/救援升级为全体高阶攻击/全体救援，配合华丽的Combo动画。
//
//玩家在不断搜集卡牌的同时，还需要使用英魂提升卡牌的等级，这样才能解锁卡牌新技能、提升技能威力。
//每张卡牌有固定的CD数，每当经过了和CD数一致的回合数后，该卡牌才被允许发动一次。威力大、成长高的卡牌，CD数一般越高。
//每张卡牌还拥有稀缺度描述，按照白、绿、蓝、紫、金，分为五种品质。
//英雄卡牌对应的召唤英雄，其数值配置于 HeroLisst 中，包括了基本属性、成长规划、职业倾向（例如战士倾向于血厚防高等）、技能列表等。

///为中毒、冰冻、电、燃烧增加新的内涵：
/// a)如果目标已经处于×状态，造成目标生命上限30%的伤害（但不再延长状态持续时间）。这是为了形成技能连续发动时的连击效果。
/// b)在角色回合开始阶段，中毒状态会向相邻的一位武将蔓延并复制其持续时间。
/// c)冰雪状态的武将命中和精准降为0。
/// d)在角色回合开始阶段，燃烧会随机形成一道横向或竖向的火墙，并对火墙范围内的友军造成燃烧伤害（自身生命上限的5%）
/// e)闪电形成一条从武将开始、曲折蔓延的闪电链（不会形成回路），并对链条上的武将造成闪电伤害（自身生命上限的3%）

/**
 * 模拟生成战场，计算并打印战斗结果
 * 战场是一个标准的1V1九宫格布局，己方和敌方都拥有0~9各9个站位，目前仅仅使用后排7号位，来模拟双方各上场一个武将的模式
 * 8   7   6
 * 5   4   3
 * 2   1   0
 * 
 * 2   1   0
 * 5   4   3
 * 8   7   6
 * 
 * 0、3、6为高层由前向后三个位置，1、4、7为中层由前向后三个位置，2、5、8为底层(地面行走)由前向后三个位置
 */
 